Bug 527935 - I/O Error with sane-backends when attempting a scan
Summary: I/O Error with sane-backends when attempting a scan
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-08 10:00 UTC by Theron Muller
Modified: 2010-01-26 01:01 UTC (History)
2 users (show)

Fixed In Version: 1.0.20-11.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-26 01:01:06 UTC


Attachments (Terms of Use)

Description Theron Muller 2009-10-08 10:00:01 UTC
Description of problem:
When attempting a scan with xsane using sane-backends, system gives i/o error

Version-Release number of selected component (if applicable):
sane-backends-1.0.20-4.fc11.i586
and rawhide: 1.0.20-7.fc12

How reproducible:
Every time on multiple machines; I have two running F11

Steps to Reproduce:
1. execute xsane
2. request preview scan or scan
3. error appears
  
Actual results:
I/O Error

Expected results:
Scan performed

Additional info:
Version sane-backends-1.0.19-15.fc11.i586.rpm is functional.
I was asked by the sane developers to report this bug here. Sorry it's taken me so long to get to it. See: https://alioth.debian.org/tracker/?func=detail&atid=410366&aid=311889&group_id=30186

Comment 1 Nils Philippsen 2009-12-29 16:26:45 UTC
Sorry it's taken me so long, I've built sane-backends-1.0.20-11.fc11 which should hit updates-testing shortly.

Comment 2 Fedora Update System 2009-12-29 16:31:14 UTC
sane-backends-1.0.20-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sane-backends-1.0.20-11.fc11

Comment 3 Theron Muller 2009-12-31 09:14:53 UTC
Thanks for your action on this. I was beginning to wonder if you had forgotten about me. I've downloaded the updates to sane-backends-1.0.20-11.fc11.i586.rpm and sane-backends-libs-1.0.20-11.fc11.i586.rpm to my secondary machine and manually installed them via yum. They work great. I'll wait to update my primary machine until they come through as repository updates.

Now it's time to think about upgrading both computers to F12...

Thanks again for your time and attention. I really appreciate it.

Comment 4 Nils Philippsen 2009-12-31 12:06:11 UTC
FYI, I'll give these updates a little time for people to test them after returning from the holidays.

Comment 5 Fedora Update System 2010-01-02 03:38:59 UTC
sane-backends-1.0.20-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0073

Comment 6 Theron Muller 2010-01-05 09:18:07 UTC
Works like a charm! Thanks!

Comment 7 Fedora Update System 2010-01-26 01:01:01 UTC
sane-backends-1.0.20-11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.